← OBPv7.0.0 Get Settlement accounts at Bank GET /obp/v7.0.0/banks/BANK_ID/settlement-accounts OBPv4.0.0-getSettlementAccounts Roles: CanGetSettlementAccountAtOneBank(per bank) BankPSD2 Get settlement accounts on this API instance Returns a list of settlement accounts at this Bank Note: a settlement account is considered as a bank account. So you can update it and add account attributes to it using the regular account endpoints User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk JSON response body fields (18) account_attribute_id account_attributes account_id 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0account_routings address amount 10.12balance 10branch_id DERBY6currency EURlabel My Accountname ACCOUNT_MANAGEMENT_FEEpayment_system SEPAproduct_code 1234BWscheme OBPsettlement_accounts type value 5987953product_instance_code product_instance_code Example success response { "settlement_accounts": [ { "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0", "payment_system": "SEPA", "balance": { "currency": "EUR", "amount": "0" }, "label": "My Account", "branch_id": "DERBY6", "account_routings": [ { "scheme": "OBP", "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0" } ], "account_attributes": [ { "product_code": "1234BW", "account_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f", "name": "OVERDRAFT_START_DATE", "type": "DATE_WITH_DAY", "value": "2012-04-23", "product_instance_code": "LKJL98769F" } ] } ] } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-50000: Unknown Error.